
Katello - Bug #5962

Content Search: "manage environments" link in env picker needs to be redirected

05/28/2014 12:37 AM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1083316 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1083316

Description of problem:

When user goes into content search and enters the environment picker, there is a "manage organizations" link that throws an error.

This probably needs to point to the foreman orgs stuff, and not older katello stuff.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.16-1.el6sat.noarch

foreman-postgresql-1.5.0.16-1.el6sat.noarch

foreman-proxy-1.5.4-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-19.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.32-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

openldap-devel-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-5.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-12.el6sat.noarch

How reproducible:

Steps to Reproduce:
https://bugzilla.redhat.com/show_bug.cgi?id=1083316


1.  Push content views into various environments

2.  Content > Content Search  > Results > "+" (The Environment picker)

3.  Note the link, "Manage Environments" and click it.

Actual results:

Error page - we're probably still trying to point to the old Environments UI

Expected results:

User correctly sent to Environments setup page.

Additional info:

Associated revisions

Revision c3f17e3b - 05/28/2014 12:39 AM - Brad Buckingham

fixes #5962 - content search - fix link to manage environments

Revision 9e9ab999 - 05/28/2014 01:40 PM - Brad Buckingham

Merge pull request #4163 from bbuckingham/issue-5962

fixes #5962 - content search - fix link to manage environments

History

#1 - 05/28/2014 01:52 PM - Brad Buckingham

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c3f17e3be52b85f36fa22b9bf81789b82aaf3f16.

#2 - 06/06/2014 12:43 PM - Eric Helms

- Assignee set to Brad Buckingham

- Target version set to 45

- Difficulty set to trivial

- Triaged set to Yes

#3 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
